GET /serviceengine/{uuid}/cpu/
/serviceengine/{uuid}/cpu/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"available_memory": 0,
"avg_dp_thread_usage": "number",
"cset": [
{
"cpu_x": "string",
"cset_name": "string",
"tasks": 0
}
],
"dispatcher_dp_cpu_utilization": "number",
"free_memory": 0,
"idle_cpu": "number",
"process_cpu_utilization": [
{
"disp_cpu_util": "number",
"dp_thread_usage": "number",
"process_cpu_ewma": "number",
"process_cpu_usage": "number",
"process_memory_usage": "number",
"process_name": "string",
"proxy_cpu_util": "number"
}
],
"proxy_dp_cpu_utilization": "number",
"se_uuid": "string",
"system_cpu_utilization": "number",
"total_cpu_utilization": "number",
"total_linux_cpu_utilization": "number",
"total_memory": 0
}
Available memory of SE in Kilo Bytes. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Average CPU utilization due to the threads spawned by the datapath. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
CPU sets created for SE DP isolation. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Average CPU Utilisation for dispatcher operation,. Field introduced in 18.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Average CPU Utilisation for non-dispatcher operation. This includes proxy and miscellaneous work. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Deprecated. Field introduced in 22.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/cpu